package com.sun.corba.se.impl.copyobject;

import com.sun.corba.se.spi.copyobject.ReflectiveCopyException;
import com.sun.corba.se.spi.copyobject.ObjectCopier;

public class FallbackObjectCopierImpl implements ObjectCopier
{
    private ObjectCopier first;
    private ObjectCopier second;
    
    public FallbackObjectCopierImpl(ObjectCopier first, ObjectCopier second) {
        this.first = first;
        this.second = second;
    }
    
    public Object copy(Object o) throws ReflectiveCopyException {
        try {
            return this.first.copy(o);
        }
        catch (ReflectiveCopyException ex) {
            return this.second.copy(o);
        }
    }
}
